<?php
// Footer copyright section 
function proficiency_footer_copyright( $wp_customize ) {
	$wp_customize->add_panel('proficiency_copyright', array(
		'priority' => 600,
		'capability' => 'edit_theme_options',
		'title' => __('Footer Settings', 'proficiency'),
	) );
	
	$wp_customize->add_section('copyright_section_one', array(
        'title' => __('Footer Copyright Settings','proficiency'),
        'description' => __('This is a Footer section.','proficiency'),
        'priority' => 35,
		'panel' => 'proficiency_copyright',
    ) );

    $wp_customize->add_setting( 'hide_copyright',array(
        'default' => 'true',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    $wp_customize->add_control('hide_copyright', array(
        'label' => __('Hide/Show Copyright Text','proficiency'),
        'description'   => __('Hide/Show Footer Copyright Text', 'proficiency'),
        'section' => 'copyright_section_one',
        'type' => 'radio',
        'choices' => array('true'=>'On','false'=>'Off'),
    ) );

	$wp_customize->add_setting('proficiency_footer_copyright_setting', array(
        'sanitize_callback' => 'proficiency_footer_copyright_sanitize_text',
        'default' => __('<p>&copy; Copyright 2017 by <a href="#">proficiency</a>. All Rights Reserved. Powered by <a href="https://wordpress.org/">WordPress</a></p>','proficiency'),
    ) );
    $wp_customize->add_control('proficiency_footer_copyright_setting', array(
        'label' => __('Copyright text','proficiency'),
        'section' => 'copyright_section_one',
        'type' => 'textarea',
    ) );

	//Footer social link 
	$wp_customize->add_section('copyright_social_icon', array(
        'title' => __('Social Link ','proficiency'),
		'panel' => 'proficiency_copyright',
    ) );

	
	
	
	
    //Hide Footer Social Icons
    $wp_customize->add_setting('hide_footer_icon', array(
        'default' => 'true',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    ) );
    $wp_customize->add_control('hide_footer_icon', array(
        'label' => __('Hide/Show Social Icons','proficiency'),
        'description' => __('Hide/Show Footer Social Icons', 'proficiency'),
        'section' => 'copyright_social_icon',
        'type' => 'radio',
        'choices' => array('true'=>'On','false'=>'Off'),
    ) );

	//Social Icon Lable
	$wp_customize->add_setting('social_icon_label', array(
        'default' => __('Follow Us','proficiency'),
        'sanitize_callback' => 'sanitize_text_field',
    ) );
    $wp_customize->add_control('social_icon_label', array(
        'label' => __('Social Icon Title','proficiency'),
        'section' => 'copyright_social_icon',
        'type' => 'text',
    ) );
	
	
	$wp_customize->add_setting(
        'Social_link_tab',array('sanitize_callback' => 'proficiency_copyright_sanitize_checkbox'
    ));
    $wp_customize->add_control('Social_link_tab', array(
        'type' => 'checkbox',
        'label' => __('All Social Icons Open Link New Tab/Window','proficiency'),
        'section' => 'copyright_social_icon',
    ) );
	

    $wp_customize->add_setting('social_link_one', array(
        'sanitize_callback' => 'esc_url_raw',
    ) );
    $wp_customize->add_control('social_link_one', array(
        'label' => __('Facebook URL','proficiency'),
        'section' => 'copyright_social_icon',
        'type' => 'text',
    ) );

   

    $wp_customize->add_setting('social_link_two_twitter', array(
        'sanitize_callback' => 'esc_url_raw',
    ) );
    $wp_customize->add_control('social_link_two_twitter', array(
        'label' => __('Twitter URL','proficiency'),
        'section' => 'copyright_social_icon',
        'type' => 'text',
    ) );

    // Social Three
    $wp_customize->add_setting( 'social_link_three', array(
        'sanitize_callback' => 'esc_url_raw',
    ) );
    $wp_customize->add_control( 'social_link_three', array(
        'label' => __('Linkdin URL','proficiency'),
        'section' => 'copyright_social_icon',
        'type' => 'text',
    ) );

    
	// Social Four
    $wp_customize->add_setting('social_link_four', array(
        'sanitize_callback' => 'esc_url_raw',
    ) );
    $wp_customize->add_control('social_link_four', array(
        'label' => __('Google Plus URL','proficiency'),
        'section' => 'copyright_social_icon',
        'type' => 'text',
    ) );
	

	
	// Social Five
    $wp_customize->add_setting('social_link_five', array(
        'sanitize_callback' => 'esc_url_raw',
    ) );
    $wp_customize->add_control('social_link_five', array(
        'label' => __('Instagram URL','proficiency'),
        'section' => 'copyright_social_icon',
        'type' => 'text',
    ) );
	
	// Social six
    $wp_customize->add_setting('social_link_six', array(
        'sanitize_callback' => 'esc_url_raw',
    ) );
    $wp_customize->add_control('social_link_six', array(
        'label' => __('Pinterest URL','proficiency'),
        'section' => 'copyright_social_icon',
        'type' => 'text',
    ) );
	
	// Social seven
    $wp_customize->add_setting('social_link_seven', array(
        'sanitize_callback' => 'esc_url_raw',
    ) );
    $wp_customize->add_control('social_link_seven', array(
        'label' => __('Youtube URL','proficiency'),
        'section' => 'copyright_social_icon',
        'type' => 'text',
    ) );


    function proficiency_footer_copyright_sanitize_text( $input ) {

    return wp_kses_post( force_balance_tags( $input ) );

    }
    
    function proficiency_copyright_sanitize_checkbox( $input ) {
	// Boolean check 
	return ( ( isset( $input ) && true == $input ) ? true : false );
	}
	
}
add_action( 'customize_register', 'proficiency_footer_copyright' );
?>